修改索引属性 (V2)
This operation alters the properties of an index.
POST/v2/vectordb/indexes/alter_properties
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530"
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.
collectionNamestring必填项
The name of the target collection. Setting this to a non-existing collection results in an error.
indexNamestring必填项
目标索引的名称。
propertiesobject必填项
要设置的新索引参数。
mmap.enabledboolean
是否为当前索引启用内存映射。
indexoffsetcache.enabledboolean
是否将索引偏移量缓存在内存中。
warmupboolean
是否预热索引。
- sync: 在一个 segment 被认为已加载之前进行预热
- async: 在加载后后台进行预热
- disable: 不主动预热;按需加载
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/indexes/alter_properties" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"indexName": "my_vector",
"properties": {
"mmap.enabled": true
}
}'
响应200 OK - application/json
返回空响应。
codeinteger
响应码。
dataobject
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
Successjson
{
"code": 0,
"cost": 0,
"data": {}
}